Skip to content

Counts for the Audience header and filters

GET
/api/v1/workspaces/{workspace}/audience
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/audience \
--header 'Authorization: Bearer <token>'

Permission: subscribers:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

OK

Media typeapplication/json
object
contacts
required
integer format: int64
lists
required
Array<object>
object
createdAt
required
string format: date-time
description
required
string
doubleOptIn
required
boolean
id
required
string
name
required
string
origin
string
pending
required
integer format: int64
subscribed
required
integer format: int64
paidTiers
required
Array<object>
object
id
required
string
name
required
string
short
required
string
top
required
boolean
segments
required
integer format: int64
suppressions
required
integer format: int64
tiers
required
object
active
required
integer format: int64
atRisk
required
integer format: int64
cooling
required
integer format: int64
sunset
required
integer format: int64
tiersComputedAt
string format: date-time

Example generated

{
"contacts": 1,
"lists": [
{
"createdAt": "2026-04-15T12:00:00Z",
"description": "example",
"doubleOptIn": true,
"id": "example",
"name": "example",
"origin": "example",
"pending": 1,
"subscribed": 1
}
],
"paidTiers": [
{
"id": "example",
"name": "example",
"short": "example",
"top": true
}
],
"segments": 1,
"suppressions": 1,
"tiers": {
"active": 1,
"atRisk": 1,
"cooling": 1,
"sunset": 1
},
"tiersComputedAt": "2026-04-15T12:00:00Z"
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}